# Product Sharing ## Retrieve the product sharing summary - [GET /zephr/public/products/v1/shares](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/getproductsharingsummary.md): Retrieves a summary of the products that the current user shares with other users, and products that are shared with the current user. ## Delete the product sharing by ID - [DELETE /zephr/public/products/v1/shares/{sharing_id}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/deleteuserproductsharing.md): Deletes a user product share by ID. Pending invites and accepted shares can be deleted. Invoking this method will increase the number of shares that the user has available for the given product. If the sharing_id corresponds to an accepted share, the member will immediately lose access to the product unless they have separate access. The member will receive an email notification about their removal. This email can be configured in the Admin Console. ## Create a product sharing invite via Email - [POST /zephr/public/products/v1/shares/invitations/emails](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/createproductsharinginviteviaemail.md): Creates a new user product share and send it via email. The exact contents of this email are configurable in the admin console. The email may include a link composed of the required attribute base_url and an additional path parameter sharing_id. It is expected that the specified base_url will direct invite recipients to a page that allows them to accept the invite and register/login. Custom metadata can also be passed to this method, which will be made available in the invitation email template and any later calls to access the publicly available share data. This metadata can be used, for example, to include the product owner's first name and a personalised message that is shown to the recipient in the invitation email and in a screen that allows the recipient to accept the invite. Invoking this method will reduce the number of shares that the user has available for the given product. The specified product must be shareable, the current user must have active grants for the product and must not have already exceeded the configured maximum number of shares for the product. ## Create a product share invite token - [POST /zephr/public/products/v1/shares/invitations/tokens](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/createproductshareinvitetoken.md): Creates a new user product share. Invoking this method will reduce the number of shares that the user has available for the given product. The returned token sharing ID can later be passed to the accept invite method. Custom metadata can also be passed to this method, which will be made available in later calls to access the publicly available share data. This metadata can be used, for example, to include the product owner's first name and a personalised message that is shown to the recipient in a screen that allows the recipient to accept the invite. Invoking this method will reduce the number of shares that the user has available for the given product. The specified product must be shareable, the current user must have active grants for the product and must not have already exceeded the configured maximum number of shares for the product. ## Retrieve the product share invite public data - [GET /zephr/public/products/v1/shares/invitations/{sharing_id}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/getproductshareinvitepublicdata.md): Retrieves the publicly accessible data relating to a user product share invite. This can be used to inform the invitee of the details of the product that is being shared, and any meta_data added at the point of invite creation, such as the name of the user that sent the invite. This endpoint is not authenticated. The information provided by this endpoint is available to anyone with a valid sharing_id. Invoking this endpoint too rapidly will result in a 429 error response. ## Accept a product share invite - [PUT /zephr/public/products/v1/shares/invitations/{sharing_id}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/product-sharing/acceptproductshareinvite.md): Accepts a product sharing invite. The current user will gain access to the product linked to the sharing invite. The user that send the invite must have an active grant for the product at the point of acceptance. If the current user already has a product share for the same product from the same product owner, an error code 409 will be returned and the invite will not be accepted.